CREATE procedure [C6Staging].[RP_ST_PromotoreBancario] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_PromotoreBancario',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	truncate table c6staging.RP_PromotoreBancario
	insert into c6staging.RP_PromotoreBancario (
	   [chiavePB]
      ,[codage]
      ,[nome]
      ,[cognome]
      ,[status]
      ,[livello]
      ,[rete]
      ,[indirizzo]
      ,[numCivico]
      ,[citta]
      ,[prov]
      ,[cap]
      ,[nazione]
      ,[ptel]
      ,[tel]
      ,[tipologia]
      ,[grado]
      ,[codManager]
)
	select 
	[chiavePB]
      ,[codage]
      ,[nome]
      ,[cognome]
      ,[status]
      ,[livello]
      ,[rete]
      ,[indirizzo]
      ,[numCivico]
      ,[citta]
      ,[prov]
      ,[cap]
      ,[nazione]
      ,[ptel]
      ,[tel]
      ,[tipologia]
      ,[grado]
      ,[codManager]
	from [CONSUNI].ConsulenzaUnica.dbo.PromotoreBancario
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_PromotoreBancario' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_PromotoreBancario'
		)
end